
Infrastructure - Task #1790

Task # 1782 (Closed): CN Replication components should be separated for scalability

Task # 1783 (Closed): Create the ReplicationManager class to manage MN ReplicationTasks

Create ReplicationManagerTest class to test ReplicationManager

2011-09-12 18:24 - Chris Jones

Status: Closed Start date: 2011-09-12

Priority: Normal Due date:  

Assignee: Nicholas Dexter % Done: 100%

Category: d1_replication Estimated time: 0.00 hour

Target version: Sprint-2011.36-Block.5   

Milestone: CCI-0.6.4 Story Points:  

Product Version: *   

Description

ReplicationService has been moved to ReplicationManager, so the corresponding test class needs to be moved and updated.  Write

a test for createAndQueueTasks() that

1) Initializes a test instance of Hazelcast using a test hazelcast.xml file (see "HazelcastService.init() code":

https://code.ecoinformatics.org/code/metacat/trunk/src/edu/ucsb/nceas/metacat/dataone/hazelcast/HazelcastService.java for doing

so)

2) Makes a change to the test hzSystemMetadata with a known pid, sysmeta entry

3) Polls the hzReplicationTasks queue to retrieve the tasks that were created

4) Evaluate the tasks and their order to be sure it was what was expected

History

#1 - 2011-10-07 20:23 - Nicholas Dexter

- % Done changed from 0 to 100

- translation missing: en.field_remaining_hours set to 0.0

#2 - 2011-10-07 20:24 - Nicholas Dexter

- Status changed from New to Closed
